Pagina 29 di 50

Re: Firefox 16.0beta parliamone

Inviato: mer ott 10, 2012 18:36
da 414N
Per caso hai modificato i CFLAGS e quello per le ottimizzazioni è impostato a -0 invece di -O0?

Re: Firefox 16.0beta parliamone

Inviato: mer ott 10, 2012 19:06
da Trotto@81
Non ho toccato nulla!!
Installato la Slackware 14 a 64bit, i driver Nvidia di z01, Firefox 16beta2 compilato sulla vecchia Slackware 13.1, il plug-in flash e nient'altro.
Da me non compila, mentre Patrick ha appena rilasciato la 16.0 finale compilata su una Slackware 14.
Io non ho installato solo Xfce, Emacs e qualche cosuccia di XAP e tutto Y.
Per me manca qualcosa, ma avendo una quasi full non saprei dire cosa.
Controllando le dipendenze sui siti Mozilla pare esserci tutto.
Provando anche a compilarlo in inglese senza localizzazione il problema non si risolve.
Aggiungo che uso lo stesso slackbuild.

Re: Firefox 16.0beta parliamone

Inviato: mer ott 10, 2012 21:05
da 6C33C
Trotto@81 ha scritto:Non ho toccato nulla!!
Installato la Slackware 14 a 64bit, i driver Nvidia di z01, Firefox 16beta2 compilato sulla vecchia Slackware 13.1, il plug-in flash e nient'altro.
Da me non compila, mentre Patrick ha appena rilasciato la 16.0 finale compilata su una Slackware 14.
Io non ho installato solo Xfce, Emacs e qualche cosuccia di XAP e tutto Y.
Per me manca qualcosa, ma avendo una quasi full non saprei dire cosa.
Controllando le dipendenze sui siti Mozilla pare esserci tutto.
Provando anche a compilarlo in inglese senza localizzazione il problema non si risolve.
Aggiungo che uso lo stesso slackbuild.

Sono sulla 14.0 e oggi ho compilato la 17b1 e ieri la 16.0 con la lingua italiana questo è lo slack-required
non so se può esserti utile

Codice: Seleziona tutto

alsa-lib >= 1.0.26-x86_64-1
atk >= 2.4.0-x86_64-1
bzip2 >= 1.0.6-x86_64-1
cairo >= 1.10.2-x86_64-2
cxxlibs >= 6.0.17-x86_64-1 | gcc-g++ >= 4.7.1-x86_64-1
dbus >= 1.4.20-x86_64-3
dbus-glib >= 0.98-x86_64-1
expat >= 2.0.1-x86_64-2
fontconfig >= 2.9.0-x86_64-1
freetype >= 2.4.10-x86_64-1
gcc >= 4.7.1-x86_64-1
gdk-pixbuf2 >= 2.26.1-x86_64-2
glib2 >= 2.32.4-x86_64-1
glibc-solibs >= 2.15-x86_64-7
gtk+2 >= 2.24.10-x86_64-2
libICE >= 1.0.8-x86_64-1
libSM >= 1.2.1-x86_64-1
libX11 >= 1.5.0-x86_64-1
libXau >= 1.0.7-x86_64-1
libXcomposite >= 0.4.3-x86_64-1
libXcursor >= 1.1.13-x86_64-1
libXdamage >= 1.1.3-x86_64-1
libXdmcp >= 1.1.1-x86_64-1
libXext >= 1.3.1-x86_64-1
libXfixes >= 5.0-x86_64-1
libXi >= 1.6.1-x86_64-1
libXinerama >= 1.1.2-x86_64-1
libXrandr >= 1.3.2-x86_64-1
libXrender >= 0.9.7-x86_64-1
libXt >= 1.1.3-x86_64-1
libffi >= 3.0.11-x86_64-1
libjpeg >= v8a-x86_64-1
libpng >= 1.4.12-x86_64-1
libxcb >= 1.8.1-x86_64-1
pango >= 1.30.1-x86_64-1
pixman >= 0.26.2-x86_64-1
startup-notification >= 0.12-x86_64-1
util-linux >= 2.21.2-x86_64-5
xcb-util >= 0.3.8-x86_64-1
zlib >= 1.2.6-x86_64-1

Re: Firefox 16.0beta parliamone

Inviato: gio ott 11, 2012 9:48
da Trotto@81
Sei stato gentilissimo, ma controllando pare ci sia tutto e mi sembra anche normale visto che a parte quelle piccole cose che ho escluso c'è quasi tutta la distribuzione.
Tu hai usato lo slackbuild ufficiale?
Ho la /tmp in ram, non credo possa essere questo, dovrebbe essere trasparente come soluzione.

Re: Firefox 16.0beta parliamone

Inviato: gio ott 11, 2012 12:40
da 6C33C
Trotto@81 ha scritto:Sei stato gentilissimo, ma controllando pare ci sia tutto e mi sembra anche normale visto che a parte quelle piccole cose che ho escluso c'è quasi tutta la distribuzione.
Tu hai usato lo slackbuild ufficiale?
Ho la /tmp in ram, non credo possa essere questo, dovrebbe essere trasparente come soluzione.

Sostanzialmente è lo Slackbuild originale con qualche variazione che tu mi hai suggerito tempo fà per compilarlo in lingua italiana + una patch che ho trovato ( che eventualmente mi servirà se ho intenzione di usare i sorgenti per la resa dei fonts di Daedra.
Ti posto il .diff rispetto quello della current.

Codice: Seleziona tutto

--- mozilla-firefox.SlackBuild_orig   2012-10-11 12:25:38.000000000 +0200
+++ mozilla-firefox.SlackBuild   2012-10-10 12:50:27.384999936 +0200
@@ -23,10 +23,12 @@
 # Thanks to the folks at the Mozilla Foundation for permission to
 # distribute this, and for all the great work!  :-)
 
+set -e
+
 VERSION=$(basename $(ls firefox-*.tar.bz2 | cut -d - -f 2 | rev | cut -f 3- -d . | rev) .source)
 RELEASEVER=$(echo $VERSION | cut -f 1 -d r | cut -f 1 -d b)
-BUILD=${BUILD:-1}
-
+BUILD=${BUILD:-4_it}
+LCV=it-882c3abefdbf
 CWD=$(pwd)
 TMP=${TMP:-/tmp}
 PKG=$TMP/package-mozilla-firefox
@@ -73,12 +75,20 @@
 NUMJOBS=${NUMJOBS:-" -j7 "}
 
 rm -rf $PKG
+rm -rf $TMP/l10n/
 mkdir -p $TMP $PKG/usr/lib${LIBDIRSUFFIX}
 
 cd $TMP
 rm -rf mozilla-$MOZVERS
 tar xvf $CWD/firefox-$VERSION.source.tar.bz2 || exit 1
 cd mozilla-$MOZVERS || exit 1
+# Localizzazione
+( cd $TMP
+  mkdir l10n
+  cd l10n
+  tar xvf $CWD/$LCV.tar.bz2
+  mv $LCV it
+)
 
 # Fix a long standing bug that's prevented staying current on GTK+.
 # Thanks to the BLFS folks.  :-)
@@ -94,7 +104,8 @@
 # Uncomment this if you want to use the patch; otherwise, we overwrite the
 # mimeTypes.rdf inside the package directory later
 # zcat $CWD/mozilla-firefox-mimeTypes-fix.diff.gz | patch -p1 || exit 1
-
+# From https://bugzilla.mozilla.org/show_bug.cgi?id=722975
+zcat $CWD/make_system_cairo_work_again.diff.gz | patch -p1 || exit 1
 chown -R root:root .
 find . \
   \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -143,6 +154,7 @@
   --enable-strip \
   --enable-cpp-rtti \
   --enable-single-profile \
+  --enable-system-cairo \
   --disable-ldap \
   --disable-accessibility \
   --disable-crashreporter \
@@ -152,7 +164,9 @@
   --disable-installer \
   --disable-mailnews \
   --disable-composer \
-  --disable-profilesharing
+  --disable-profilesharing \
+  --with-l10n-base=$TMP/l10n \
+  --enable-ui-locale=it
   # Complains about missing APNG support in Slackware's libpng:
   #--with-system-png \
 
@@ -209,14 +223,23 @@
 
 # Need some default icons in the right place:
 mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/firefox-$RELEASEVER/chrome/icons/default
-install -m 644 other-licenses/branding/firefox/default16.png \
+install -m 644 obj/dist/firefox/chrome/icons/default/default16.png \
   $PKG/usr/lib${LIBDIRSUFFIX}/firefox-$RELEASEVER/icons/
-install -m 644 other-licenses/branding/firefox/default16.png \
-  $PKG/usr/lib${LIBDIRSUFFIX}/firefox-$RELEASEVER/chrome/icons/default/
-( cd $PKG/usr/lib${LIBDIRSUFFIX}/firefox-$RELEASEVER
-  install -m 644 icons/{default,mozicon50}.xpm chrome/icons/default/
+#install -m 644 obj/dist/branding/firefox/default16.png \
+#  $PKG/usr/lib${LIBDIRSUFFIX}/firefox-$RELEASEVER/chrome/icons/default/
+#( cd $PKG/usr/lib${LIBDIRSUFFIX}/firefox-$RELEASEVER
+#  install -m 644 icons/{default,mozicon50}.xpm chrome/icons/default/
+#)
+
+# I think is good idea include patches and scripts in /usr/doc
+mkdir -p $PKG/usr/doc/mozilla-firefox-$VERSION/src
+cp $CWD/{*.gz,*.png,*.desktop,*.SlackBuild,slack-desc} $PKG/usr/doc/mozilla-firefox-$VERSION/src
+cp README.txt LEGAL $PKG/usr/doc/mozilla-firefox-$VERSION/
+
+(
+cd $PKG/usr/doc/mozilla-firefox-$VERSION
+find -type f -exec chmod 644 {} \;
 )
-
 # Copy over the LICENSE
 install -p -c -m 644 LICENSE $PKG/usr/lib${LIBDIRSUFFIX}/firefox-$RELEASEVER/
 
@@ -224,5 +247,10 @@
 cat $CWD/slack-desc > $PKG/install/slack-desc
 
 cd $PKG
-/sbin/makepkg -l y -c n $TMP/mozilla-firefox-$VERSION-$ARCH-$BUILD.txz
+# Find and print dependencies into slack-required file
+if [ -x /usr/bin/requiredbuilder ];then
+requiredbuilder -y -v -s  $CWD $PKG
+fi
+
+/sbin/makepkg -l y -c n $CWD/mozilla-firefox-$VERSION-$ARCH-$BUILD.txz
 

Re: Firefox 16.0beta parliamone

Inviato: gio ott 11, 2012 12:45
da Trotto@81
Non so che pesci pigliare!! :cry:

Re: Firefox 16.0beta parliamone

Inviato: gio ott 11, 2012 14:03
da Trotto@81
Ho risolto!!! :D
Il mio pc ha 6 GB di RAM che durante la compilazione veniva saturata dalla presenza della /tmp sulla stessa.
Spostata di nuovo su disco il problema non si è più ripresentato.
Il problema è che avendo un SSD se voglio compilare a raffica ogni settimana come sono solito fare mi conviene avere la /tmp su HDD.

Per l'utente che chiedeva il tempo gli posto il tempo fatto su i7 920 D0 con frequenze di default e 10 processi in parallelo.

Codice: Seleziona tutto

real    20m59.762s
user    56m22.209s
sys     3m19.744s

Re: Firefox 16.0beta parliamone

Inviato: gio ott 11, 2012 14:26
da tornadomig
@Trotto

grazie della risposta :) mi sa che lo prendero' sempre e soltanto quando rilasciato da pat, figurati che anche in gentoo piglio firefox-bin...troppo lungo da compilare. con chromium, webkit e compagnia bella poi non ne parliamo :)

Re: Firefox 16.0beta parliamone

Inviato: gio ott 11, 2012 15:08
da notsafe

Codice: Seleziona tutto

Wed Oct 10 03:06:03 UTC 2012
patches/packages/mozilla-firefox-16.0-x86_64-1_slack14.0.txz:  Upgraded.
  This release contains security fixes and improvements.
  For more information, see:
    http://www.mozilla.org/security/known-vulnerabilities/firefox.html
  (* Security fix *)


Ma non lo installerei,fossi in te.

Re: Firefox 16.0beta parliamone

Inviato: gio ott 11, 2012 15:36
da Trotto@81
notsafe ha scritto:

Codice: Seleziona tutto

Wed Oct 10 03:06:03 UTC 2012
patches/packages/mozilla-firefox-16.0-x86_64-1_slack14.0.txz:  Upgraded.
  This release contains security fixes and improvements.
  For more information, see:
    http://www.mozilla.org/security/known-vulnerabilities/firefox.html
  (* Security fix *)


Ma non lo installerei,fossi in te.

Questa non l'ho capita!

Re: Firefox 16.0beta parliamone

Inviato: gio ott 11, 2012 15:37
da Trotto@81
tornadomig ha scritto:@Trotto

grazie della risposta :) mi sa che lo prendero' sempre e soltanto quando rilasciato da pat, figurati che anche in gentoo piglio firefox-bin...troppo lungo da compilare. con chromium, webkit e compagnia bella poi non ne parliamo :)
Ma usi una Slackware 32 bit?

Re: Firefox 16.0beta parliamone

Inviato: gio ott 11, 2012 15:42
da 414N
Trotto@81 ha scritto:Questa non l'ho capita!

Sembra che la 16.0 sia affetta da un grave problema di sicurezza.

Re: Firefox 16.0beta parliamone

Inviato: gio ott 11, 2012 15:45
da Trotto@81
414N ha scritto:
Trotto@81 ha scritto:Questa non l'ho capita!

Sembra che la 16.0 sia affetta da un grave problema di sicurezza.

Questa risposta ha un senso!
La mia risposta è http://ftp.mozilla.org/pub/mozilla.org/ ... andidates/ :p

Re: Firefox 16.0beta parliamone

Inviato: gio ott 11, 2012 16:14
da Trotto@81
Ho notato che nella 16 finale l'indirizzo seguente non funziona.

Codice: Seleziona tutto

about:crashes

Il tempo di ridimensionare la mia partizione di /home ancora vuota per fare spazio alla nuova partizione di /tmp e compilerò la 16.0.1 e subito dopo la 17beta1.

Re: Firefox 16.0beta parliamone

Inviato: gio ott 11, 2012 17:41
da Trotto@81
La 16.0.1 è già in release anche se non può essere scaricata. Il bug era piuttosto serio!!